Bug 966817 - CVE-2013-1990 CVE-2013-1999 libXvMC various flaws [fedora-all]
CVE-2013-1990 CVE-2013-1999 libXvMC various flaws [fedora-all]
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libXvMC (Show other bugs)
18
All Linux
medium Severity medium
: ---
: ---
Assigned To: Søren Sandmann Pedersen
Fedora Extras Quality Assurance
: Reopened, Security, SecurityTracking
Depends On:
Blocks: CVE-2013-1990 CVE-2013-1999
  Show dependency treegraph
 
Reported: 2013-05-23 23:48 EDT by Huzaifa S. Sidhpurwala
Modified: 2014-06-18 05:16 EDT (History)
4 users (show)

See Also:
Fixed In Version: libXvMC-1.0.8-1.fc19
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-02 23:04:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2013-05-23 23:48:53 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

[bug automatically created by: add-tracking-bugs]
Comment 1 Huzaifa S. Sidhpurwala 2013-05-23 23:49:06 EDT
Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=959070,966817
Comment 2 Huzaifa S. Sidhpurwala 2013-05-23 23:56:53 EDT
Adding parent bug CVE-2013-1999.  Please use this new bodhi update url when correcting
these flaws:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=966817,959070,960347
Comment 3 Fedora Update System 2013-05-24 00:27:25 EDT
libXvMC-1.0.7-5.20130524gite9415ddef.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libXvMC-1.0.7-5.20130524gite9415ddef.fc19
Comment 4 Fedora Update System 2013-05-24 00:32:46 EDT
libXvMC-1.0.7-5.20130524gite9415ddef.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libXvMC-1.0.7-5.20130524gite9415ddef.fc18
Comment 5 Fedora Update System 2013-05-24 01:12:33 EDT
libXvMC-1.0.7-6.20130524gite9415ddef.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libXvMC-1.0.7-6.20130524gite9415ddef.fc18
Comment 6 Fedora Update System 2013-05-24 01:14:27 EDT
libXvMC-1.0.7-6.20130524gite9415ddef.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libXvMC-1.0.7-6.20130524gite9415ddef.fc19
Comment 7 Fedora Update System 2013-05-24 15:49:29 EDT
Package libXvMC-1.0.7-6.20130524gite9415ddef.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libXvMC-1.0.7-6.20130524gite9415ddef.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-9099/libXvMC-1.0.7-6.20130524gite9415ddef.fc19
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2013-05-26 23:23:04 EDT
libXvMC-1.0.7-6.20130524gite9415ddef.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Tomas Hoger 2013-05-28 09:48:57 EDT
Re-opening, as it seems we should pick up the fix for regression introduced in the upstream patch, see bug 960347 comment 5.
Comment 10 Peter Hutterer 2013-06-02 19:31:58 EDT
Tomas: 1.0.7-6 already includes those fixes.
Comment 11 Fedora Update System 2013-06-02 23:04:26 EDT
libXvMC-1.0.7-6.20130524gite9415ddef.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Tomas Hoger 2013-06-03 04:16:38 EDT
(In reply to Peter Hutterer from comment #10)
> Tomas: 1.0.7-6 already includes those fixes.

Ah, ok, I see the update commit failed to update gitversion in the spec file, which is why NVR still indicates unfixed version (e9415ddef):

http://pkgs.fedoraproject.org/cgit/libXvMC.git/commit/?id=7d90d001e21fd2e636c8a93dc707843013f481d3
http://pkgs.fedoraproject.org/cgit/libXvMC.git/commit/?id=3525c4458a1a70c4da7b096b837cccc65537e0e2
Comment 13 Fedora Update System 2013-07-08 00:28:06 EDT
libXvMC-1.0.8-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libXvMC-1.0.8-1.fc19
Comment 14 Fedora Update System 2013-07-18 02:07:21 EDT
libXvMC-1.0.8-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.